APM Agent Versions

SixthSense Observability currently supports the following APM agents. Agent versions along with the supported frameworks are available in the following table.

Sixthsense-java-agent version 1.10.1

FrameworkFramework
HTTP Server
  • Tomcat 7
  • Tomcat 8
  • Tomcat 9
  • Spring Boot Web 4.x
  • Springboot 3.x
  • Spring MVC 3.x, 4.x 5.x with servlet 3.x
  • Nutz Web Framework 1.x
  • Struts2 MVC 2.3.x > 2.5.x
  • Jetty Server 9
  • Spring WebFlux 5.x
  • Undertow 1.3.0.Final > 2.0.27.Final
  • RESTEasy 3.1.0.Final -> 3.7.0.Final
  • Play Framework 2.5. Play-2.5.x plugin must be disabled in 2.6.X and above. For more information, see Supported technologies-Java.
  • Light4J Microservices Framework 1.6.x > 2.x
  • Netty SocketIO 1.x
HTTP Client
  • Feign 9.x
  • Netflix Spring Cloud Feign 1.1.x -> 2.x
  • Okhttp 2.x -> 3.x -> 4.x
  • Apache httpcomponent HttpClient 2.0 -> 3.1, 4.2, 4.3, 5.0, 5.1
  • Spring RestTemplete 4.x
  • Jetty Client 9
  • Apache httpcomponent AsyncClient 4.x
  • AsyncHttpClient 2.1+
  • JRE HttpURLConnection (Optional²)
HTTP Gateway
  • Spring Cloud Gateway 2.0.2.RELEASE -> 3.x (Optional²)
JDBC
  • Mysql Driver 5.x, 6.x, 8.x
  • Oracle Driver (Optional¹)
  • H2 Driver 1.3.x > 1.4.x
  • ShardingSphere 3.0.0, 4.0.0, 4.0.1, 4.1.0, 4.1.1, 5.0.0
  • PostgreSQL Driver 8.x, 9.x, 42.x
  • Mariadb Driver 2.x, 1.8
  • InfluxDB 2.5 > 2.17
  • Mssql-Jtds 1.x
  • Mssql-jdbc 6.x > 8.x
  • ClickHouse-jdbc 0.3.x
  • Apache-Kylin-Jdbc 2.6.x > 3.x > 4.x
RPC Frameworks
  • Dubbo 2.5.4 > 2.6.0
  • Dubbox 2.8.4
  • Apache Dubbo 2.7.x > 3.x
  • Motan 0.2.x > 1.1.0
  • gRPC 1.x
  • Apache ServiceComb Java Chassis 0.1 > 0.5,1.x
  • SOFARPC 5.4.0
  • Armeria 0.63.0 > 0.98.0
  • Apache Avro 1.7.0 - 1.8.x
  • Finagle 6.44.0 > 20.1.0 (6.25.0 > 6.44.0 not tested)
  • Brpc-Java 2.3.7 > 2.5.3
  • Thrift 0.10.0 > 0.12.0
  • Apache CXF 3.x
  • JSONRPC4J 1.2.0 > 1.6
MQ
  • RocketMQ 4.x
  • Kafka 0.11.0.0 > 2.8.0
  • Spring-Kafka Spring Kafka Consumer 1.3.x> 2.3.x (2.0.x and 2.1.x not tested and not recommended by the official document)
  • ActiveMQ 5.10.0 > 5.15.4
  • RabbitMQ 5.x
  • Pulsar 2.2.x -> 2.9.x
  • NoSQL
  • Redis
  • Jedis 2.x
  • Redisson Easy Java Redis client 3.5.2+
  • Lettuce 5.x
  • MongoDB Java Driver 2.13-2.14, 3.4.0-3.12.7, 4.0.0-4.1.0
  • Memcached Client
  • Spymemcached 2.x
  • Xmemcached 2.x
NoSQL
  • Redis
  1. Jedis 2.x
  2. Redisson Easy Java Redis client 3.5.2+
  3. Lettuce 5.x
  • MongoDB Java Driver 2.13-2.14, 3.4.0-3.12.7, 4.0.0-4.1.0
  • Memcached Client
  1. Spymemcached 2.x
  2. Xmemcached 2.x
  • Elasticsearch
  1. transport-client 5.2.x-5.6.x
  2. transport-client 6.7.1-6.8.4
  3. transport-client 7.0.0-7.5.2
  4. rest-high-level-client 6.7.1-6.8.4
  5. rest-high-level-client 7.0.0-7.5.2
  • Solr
  1. SolrJ 7.x
  • Cassandra 3.x
  1. cassandra-java-driver 3.7.0-3.7.2
  • HBase
  1. hbase-client HTable 1.0.0-2.4.2
  • Neo4j
  1. Neo4j-java 4.x
  • Service Discovery
  1. Netflix Eureka
  • Distributed Coordination
  1. Zookeeper 3.4.x (Optional² & Except 3.4.4)
  • Spring Ecosystem
  1. Spring Bean annotations(@Bean, @Service, @Component, @Repository) 3.x and 4.x (Optional²)
  2. Spring Core Async SuccessCallback/FailureCallback/ListenableFutureCallback 4.x
  3. Spring Transaction 4.x and 5.x (Optional²)
  • Hystrix: Latency and Fault Tolerance for Distributed Systems 1.4.20 > 1.5.18
  • Sentinel: The Sentinel of Your Microservices 1.7.0 > 1.8.1
NoSQL
  • Scheduler
  1. Elastic Job 2.x
  2. Apache ShardingSphere-Elasticjob 3.x
  3. Spring @Scheduled 3.1+
  4. Quartz Scheduler 2.x (Optional²)
  5. XXL Job 2.x
  • OpenTracing community supported
  • Canal: Alibaba mysql database binlog incremental subscription & consumer components 1.0.25 > 1.1.2
  • JSON
  1. GSON 2.8.x (Optional²)
  2. Fastjson 1.2.x (Optional²)
  3. Jackson 2.x (Optional²)
  • Vert.x Ecosystem
  1. Vert.x Eventbus 3.2+
  2. Vert.x Web 3.x
  • Thread Schedule Framework
  1. Spring @Async 4.x and 5.x
  2. Quasar 0.7.x
  3. JRE Callable and Runnable (Optional²)
  • Cache
  1. Ehcache 2.x
  2. GuavaCache 18.x > 23.x (Optional²)
  • Kotlin
  1. Coroutine 1.0.1 > 1.3.x (Optional²)
  • GraphQL
  1. Graphql 8.0 > 15.x
  • Pool
  1. Apache Commons DBCP 2.x
  2. Alibaba Druid 1.x
  3. HikariCP 3.x > 4.x
  • Logging Framework
  1. log4j 2.x
  2. log4j2 1.2.x
  3. logback 1.2.x
  • ORM
  1. MyBatis 3.4.x > 3.5.xresin

sixthsense-python-agent version 0.1.8

  • Flask
  • Django
  • Pyramid

sixthsense-php-agent version 2.01

  • PHP 7.2
  • Framework Laravel Framework 5.7
  • App/Webservers PHP FPM app server 7.2 (7 and above)
  • Database MYSQL 5 & 8
  • Operating System Ubuntu and CentOS 7

sixthsense-nodejs-agent version 2.2.3

  • Express Framework 4.17.1
  • Database MYSQL 5 & 8

Sixthsense-Dotnet-Framework-Agent version 2.0

  • .Net Framework 2.0, 3.0, 3.5, 4.0,4.5, 4.5.2, 4.6, 4.7.x, 4.8.x, .Net Core 2.x, 3.x, and .Net 5, 6, and 7. For more information, see https://docs.sixthsense.rakuten.com/observability/docs/apm/dotnet/dotnet-agent.